메인 콘텐츠로 건너뛰기
GET
/
admin
/
inventory
재고 목록 조회
curl --request GET \
  --url https://api.headlesscommerce.io/v1/admin/inventory \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "variant_id": "<string>",
      "track_inventory": true,
      "allow_backorder": true,
      "safety_stock": 123,
      "on_hand": 123,
      "reserved": 123,
      "available": 123,
      "metadata": {}
    }
  ],
  "total_count": 123,
  "has_more": true,
  "next_cursor": "<string>"
}

인증

Authorization
string
header
필수

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

쿼리 매개변수

limit
integer
기본값:20
필수 범위: 1 <= x <= 100
starting_after
string

Return results after this ID (cursor)

low_stock
boolean

If true, returns only items below safety stock

응답

200 - application/json

성공

data
object[]
total_count
integer

Only returned in Admin API

has_more
boolean
next_cursor
string | null